function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';

//Bloomer imports
import { Section, Container, Tile, Columns, Column, Footer, Content } from 'bloomer';

import { BasicsSection } from './components/basics';
import { Skills } from './components/skills';
import { References } from './components/references';
import { EducationList } from './components/education';
import { WorkList } from './components/work';
import { VolunteerList } from './components/volunteer';
import { AwardsList } from './components/awards';
import { PublicationsList } from './components/publications';
import { Languages } from './components/languages';
import { Interests } from './components/interests';

import 'react-tippy/dist/tippy.css';

var styles = {};

var Resume = function (_Component) {
    _inherits(Resume, _Component);

    function Resume(props) {
        _classCallCheck(this, Resume);

        var _this = _possibleConstructorReturn(this, _Component.call(this, props));

        _this.handleMenuLinkClick = function (section) {
            window.location.hash = '#' + section;
            _this.setState({
                activeSection: section
            });
        };

        _this.state = {
            activeSection: window.location.hash ? window.location.hash.replace('#', '') : 'basics'
        };
        return _this;
    }

    Resume.prototype.getChildContext = function getChildContext() {
        var schema = this.props.schema;


        return { schema: schema };
    };

    Resume.prototype.render = function render() {
        var _this2 = this;

        var children = this.props.children;
        var activeSection = this.state.activeSection;


        if (!React.Children.count(children)) {
            return [React.createElement(
                Section,
                { key: 'content' },
                React.createElement(
                    Container,
                    null,
                    React.createElement(
                        Tile,
                        { isAncestor: true },
                        React.createElement(
                            Tile,
                            { isSize: 3, isParent: true },
                            React.createElement(Tile, { isChild: true, render: function render(props) {
                                    return React.createElement(
                                        BasicsSection,
                                        { activeSection: activeSection,
                                            onMenuLinkClick: _this2.handleMenuLinkClick },
                                        React.createElement(References, null),
                                        React.createElement(Skills, null)
                                    );
                                } })
                        ),
                        React.createElement(
                            Tile,
                            { isParent: true, isVertical: true },
                            React.createElement(Tile, { isChild: true, render: function render(props) {
                                    return React.createElement(
                                        'div',
                                        props,
                                        React.createElement(EducationList, null),
                                        React.createElement('br', null),
                                        React.createElement(WorkList, null),
                                        React.createElement('br', null),
                                        React.createElement(VolunteerList, null),
                                        React.createElement('br', null),
                                        React.createElement(
                                            Columns,
                                            null,
                                            React.createElement(AwardsList, null),
                                            React.createElement(PublicationsList, null)
                                        ),
                                        React.createElement(
                                            Columns,
                                            null,
                                            React.createElement(Languages, null),
                                            React.createElement(Interests, null)
                                        )
                                    );
                                } })
                        )
                    )
                )
            ), React.createElement(
                Footer,
                { id: 'footer', key: 'footer' },
                React.createElement(
                    Container,
                    null,
                    React.createElement(
                        Content,
                        null,
                        React.createElement(
                            'p',
                            null,
                            'Made with ',
                            React.createElement(
                                'a',
                                { href: 'https://github.com/Minivera/react-bulma-vitae' },
                                'react-bulma-vitae'
                            )
                        )
                    )
                )
            )];
        }
        return children;
    };

    return Resume;
}(Component);

Resume.propTypes = process.env.NODE_ENV !== "production" ? {
    //See https://jsonresume.org/schema/
    schema: PropTypes.shape({
        basic: PropTypes.shape({
            name: PropTypes.string,
            label: PropTypes.string,
            picture: PropTypes.string,
            email: PropTypes.string,
            phone: PropTypes.string,
            website: PropTypes.string,
            summary: PropTypes.string,
            location: PropTypes.shape({
                address: PropTypes.string,
                postalCode: PropTypes.string,
                city: PropTypes.string,
                countryCode: PropTypes.string,
                region: PropTypes.string
            }),
            profiles: PropTypes.arrayOf(PropTypes.shape({
                network: PropTypes.string,
                username: PropTypes.string,
                url: PropTypes.string
            }))
        }),
        work: PropTypes.arrayOf(PropTypes.shape({
            company: PropTypes.string,
            position: PropTypes.string,
            website: PropTypes.string,
            startDate: PropTypes.string,
            endDate: PropTypes.string,
            summary: PropTypes.string,
            highlights: PropTypes.arrayOf(PropTypes.string)
        })),
        volunteer: PropTypes.arrayOf(PropTypes.shape({
            organization: PropTypes.string,
            position: PropTypes.string,
            website: PropTypes.string,
            startDate: PropTypes.string,
            endDate: PropTypes.string,
            summary: PropTypes.string,
            highlights: PropTypes.arrayOf(PropTypes.string)
        })),
        education: PropTypes.arrayOf(PropTypes.shape({
            institution: PropTypes.string,
            area: PropTypes.string,
            studyType: PropTypes.string,
            startDate: PropTypes.string,
            endDate: PropTypes.string,
            gpa: PropTypes.string,
            courses: PropTypes.arrayOf(PropTypes.string)
        })),
        awards: PropTypes.arrayOf(PropTypes.shape({
            title: PropTypes.string,
            date: PropTypes.string,
            awarder: PropTypes.string,
            summary: PropTypes.string
        })),
        publications: PropTypes.arrayOf(PropTypes.shape({
            name: PropTypes.string,
            publisher: PropTypes.string,
            releaseDate: PropTypes.string,
            website: PropTypes.string,
            summary: PropTypes.string
        })),
        skills: PropTypes.arrayOf(PropTypes.shape({
            name: PropTypes.string,
            level: PropTypes.oneOf(['Basic', 'Initiated', 'Average', 'Competent', 'Master']),
            keywords: PropTypes.arrayOf(PropTypes.string)
        })),
        languages: PropTypes.arrayOf(PropTypes.shape({
            name: PropTypes.string,
            level: PropTypes.string
        })),
        interests: PropTypes.arrayOf(PropTypes.shape({
            name: PropTypes.string,
            keywords: PropTypes.arrayOf(PropTypes.string)
        })),
        references: PropTypes.arrayOf(PropTypes.shape({
            name: PropTypes.string,
            reference: PropTypes.string
        }))
    }).isRequired
} : {};

Resume.defaultProps = {};

Resume.childContextTypes = {
    schema: PropTypes.shape({})
};

export default Resume;