import React from "react";
import PropTypes from "prop-types";

import { hasProperties } from '../../utils.js';

//Bloomer imports
import { Level, LevelItem, Icon } from 'bloomer';

import { Tooltip } from 'react-tippy';

var styles = {};

var Profiles = function Profiles(props) {
    var profiles = props.profiles;


    return React.createElement(
        Level,
        null,
        profiles.map(function (profile, index) {
            return hasProperties(profile, 'username') ? React.createElement(
                LevelItem,
                { key: index },
                React.createElement(
                    Tooltip,
                    { title: "Follow " + profile.username + " on " + profile.network },
                    React.createElement(
                        "a",
                        { href: profile.url },
                        React.createElement(Icon, { isSize: "medium", className: "fab fa-" + profile.network.toLowerCase() })
                    )
                )
            ) : React.createElement(
                LevelItem,
                null,
                React.createElement(
                    "a",
                    { href: profile.url },
                    React.createElement(Icon, { isSize: "medium", className: "fab fa-" + profile.network })
                )
            );
        })
    );
};

Profiles.propTypes = process.env.NODE_ENV !== "production" ? {
    profiles: PropTypes.arrayOf(PropTypes.shape({}))
} : {};

Profiles.defaultProps = {
    profiles: []
};

export default Profiles;