var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import PropTypes from "prop-types";

import defines from '../../defines';

/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withBasics = function withBasics(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        var menus = [];

        defines.sections.forEach(function (section) {
            if (schema.hasOwnProperty(section)) {
                menus.push(section);
            }
        });

        return React.createElement(Component, _extends({}, props, { basics: schema.basics, availableSections: menus }));
    };

    Wrapper.displayName = "withBasics(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: PropTypes.shape({}).isRequired
    };

    return Wrapper;
};

export default withBasics;