var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import PropTypes from "prop-types";

/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withEducation = function withEducation(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return React.createElement(Component, _extends({}, props, { education: schema.education }));
    };

    Wrapper.displayName = "withEducation(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: PropTypes.shape({}).isRequired
    };

    return Wrapper;
};

export default withEducation;