import React from "react";
import PropTypes from "prop-types";

import { hasProperties } from '../../utils.js';

import withInterests from './withInterests.js';

import GenericList from '../internals/GenericList.js';

import { Column } from 'bloomer';

var Interests = function Interests(props) {
    var interests = props.interests;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = interests.map(function (obj) {
        var item = {};
        if (hasProperties(obj, 'name')) {
            item.title = obj.name;
        }
        if (hasProperties(obj, 'keywords')) {
            item.highlights = obj.keywords;
        }
        return item;
    });

    return React.createElement(
        Column,
        { isSize: "1/2" },
        React.createElement(GenericList, { items: items, listName: "Interests", listIcon: "fas fa-heart", id: "interests", highlightType: "tags",
            style: { height: '100%' } })
    );
};

Interests.propTypes = process.env.NODE_ENV !== "production" ? {
    interests: PropTypes.arrayOf(PropTypes.shape({}))
} : {};

Interests.defaultProps = {
    interests: []
};

export default withInterests(Interests);