function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';

//Bloomer imports
import { Card, CardHeader, CardHeaderTitle, Title, CardHeaderIcon, CardContent, Icon } from 'bloomer';

import GenericElement from './GenericElement.js';

var styles = {
    icon: {
        width: 40,
        paddingLeft: 8,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center'
    },
    heading: {
        textTransform: 'uppercase'
    }
};

var GenericList = function GenericList(props) {
    var listName = props.listName,
        listIcon = props.listIcon,
        items = props.items,
        highlightType = props.highlightType,
        rest = _objectWithoutProperties(props, ['listName', 'listIcon', 'items', 'highlightType']);

    if (!items.length) {
        return null;
    }

    return React.createElement(
        Card,
        rest,
        React.createElement(
            CardHeader,
            null,
            listIcon ? React.createElement(CardHeaderIcon, { render: function render() {
                    return React.createElement(
                        'div',
                        { style: styles.icon },
                        React.createElement(Icon, { className: listIcon })
                    );
                } }) : null,
            React.createElement(
                CardHeaderTitle,
                { style: styles.heading },
                listName
            )
        ),
        React.createElement(
            CardContent,
            null,
            items.map(function (item, index, items) {
                return [React.createElement(GenericElement, { item: item, key: index, highlightType: highlightType }), index !== items.length - 1 ? React.createElement('hr', null) : null];
            })
        )
    );
};

GenericList.propTypes = process.env.NODE_ENV !== "production" ? {
    listName: PropTypes.string.isRequired,
    listIcon: PropTypes.string,
    items: PropTypes.arrayOf(PropTypes.shape({
        title: PropTypes.string,
        subtitle: PropTypes.string,
        summary: PropTypes.string,
        url: PropTypes.string,
        start: PropTypes.string,
        end: PropTypes.string,
        highlights: PropTypes.arrayOf(PropTypes.string)
    })),
    highlightType: PropTypes.oneOf(['list', 'tags'])
} : {};

GenericList.defaultProps = {
    items: [],
    highlightType: 'list'
};

export default GenericList;