import React from "react";
import PropTypes from "prop-types";

import { hasProperties } from '../../utils.js';

import withPublications from './withPublications.js';

import GenericList from '../internals/GenericList.js';

import { Column } from 'bloomer';

var PublicationsList = function PublicationsList(props) {
    var publications = props.publications;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = publications.map(function (obj) {
        var item = {};
        if (hasProperties(obj, 'name')) {
            item.title = obj.name;
        }
        if (hasProperties(obj, 'publisher')) {
            item.subtitle = obj.publisher;
        }
        if (hasProperties(obj, 'website')) {
            item.url = obj.website;
        }
        if (hasProperties(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if (hasProperties(obj, 'releaseDate')) {
            item.start = obj.releaseDate;
        }
        return item;
    });

    return React.createElement(
        Column,
        { isSize: "1/2" },
        React.createElement(GenericList, { items: items, listName: "Publications", listIcon: "fas fa-newspaper", id: "publications", highlightType: "list" })
    );
};

PublicationsList.propTypes = process.env.NODE_ENV !== "production" ? {
    publications: PropTypes.arrayOf(PropTypes.shape({}))
} : {};

PublicationsList.defaultProps = {
    publications: []
};

export default withPublications(PublicationsList);