import React from "react";
import PropTypes from "prop-types";

import { hasProperties } from '../../utils.js';

import withReferences from './withReferences.js';

//Bloomer imports
import { Content } from 'bloomer';

var styles = {
    mainDiv: {
        marginBottom: '1.25rem'
    },
    divider: {
        marginLeft: '-1.25rem',
        marginRight: '-1.25rem'
    },
    referencesList: {},
    name: {
        fontStyle: 'italic',
        marginTop: '-1.25rem',
        display: 'block',
        marginLeft: '1rem'
    }
};

var References = function References(props) {
    var references = props.references;


    return React.createElement(
        "div",
        { id: "references", style: styles.mainDiv },
        React.createElement(
            "div",
            { style: styles.referencesList },
            React.createElement(
                Content,
                null,
                references.map(function (reference, index) {
                    return [hasProperties(reference, 'reference') ? React.createElement(
                        "blockquote",
                        { key: "quote_" + index },
                        reference.reference
                    ) : null, hasProperties(reference, 'name') ? React.createElement(
                        "span",
                        { style: styles.name, key: "name_" + index },
                        reference.name
                    ) : null];
                })
            )
        ),
        references.length ? React.createElement("hr", { style: styles.divider }) : null
    );
};

References.propTypes = process.env.NODE_ENV !== "production" ? {
    references: PropTypes.arrayOf(PropTypes.shape({}))
} : {};

References.defaultProps = {
    references: []
};

export default withReferences(References);