'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bloomer = require('bloomer');

var _basics = require('./components/basics');

var _skills = require('./components/skills');

var _references = require('./components/references');

var _education = require('./components/education');

var _work = require('./components/work');

var _volunteer = require('./components/volunteer');

var _awards = require('./components/awards');

var _publications = require('./components/publications');

var _languages = require('./components/languages');

var _interests = require('./components/interests');

require('react-tippy/dist/tippy.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

//Bloomer imports


var styles = {};

var Resume = function (_Component) {
    _inherits(Resume, _Component);

    function Resume(props) {
        _classCallCheck(this, Resume);

        var _this = _possibleConstructorReturn(this, _Component.call(this, props));

        _this.handleMenuLinkClick = function (section) {
            window.location.hash = '#' + section;
            _this.setState({
                activeSection: section
            });
        };

        _this.state = {
            activeSection: window.location.hash ? window.location.hash.replace('#', '') : 'basics'
        };
        return _this;
    }

    Resume.prototype.getChildContext = function getChildContext() {
        var schema = this.props.schema;


        return { schema: schema };
    };

    Resume.prototype.render = function render() {
        var _this2 = this;

        var children = this.props.children;
        var activeSection = this.state.activeSection;


        if (!_react2.default.Children.count(children)) {
            return [_react2.default.createElement(
                _bloomer.Section,
                { key: 'content' },
                _react2.default.createElement(
                    _bloomer.Container,
                    null,
                    _react2.default.createElement(
                        _bloomer.Tile,
                        { isAncestor: true },
                        _react2.default.createElement(
                            _bloomer.Tile,
                            { isSize: 3, isParent: true },
                            _react2.default.createElement(_bloomer.Tile, { isChild: true, render: function render(props) {
                                    return _react2.default.createElement(
                                        _basics.BasicsSection,
                                        { activeSection: activeSection,
                                            onMenuLinkClick: _this2.handleMenuLinkClick },
                                        _react2.default.createElement(_references.References, null),
                                        _react2.default.createElement(_skills.Skills, null)
                                    );
                                } })
                        ),
                        _react2.default.createElement(
                            _bloomer.Tile,
                            { isParent: true, isVertical: true },
                            _react2.default.createElement(_bloomer.Tile, { isChild: true, render: function render(props) {
                                    return _react2.default.createElement(
                                        'div',
                                        props,
                                        _react2.default.createElement(_education.EducationList, null),
                                        _react2.default.createElement('br', null),
                                        _react2.default.createElement(_work.WorkList, null),
                                        _react2.default.createElement('br', null),
                                        _react2.default.createElement(_volunteer.VolunteerList, null),
                                        _react2.default.createElement('br', null),
                                        _react2.default.createElement(
                                            _bloomer.Columns,
                                            null,
                                            _react2.default.createElement(_awards.AwardsList, null),
                                            _react2.default.createElement(_publications.PublicationsList, null)
                                        ),
                                        _react2.default.createElement(
                                            _bloomer.Columns,
                                            null,
                                            _react2.default.createElement(_languages.Languages, null),
                                            _react2.default.createElement(_interests.Interests, null)
                                        )
                                    );
                                } })
                        )
                    )
                )
            ), _react2.default.createElement(
                _bloomer.Footer,
                { id: 'footer', key: 'footer' },
                _react2.default.createElement(
                    _bloomer.Container,
                    null,
                    _react2.default.createElement(
                        _bloomer.Content,
                        null,
                        _react2.default.createElement(
                            'p',
                            null,
                            'Made with ',
                            _react2.default.createElement(
                                'a',
                                { href: 'https://github.com/Minivera/react-bulma-vitae' },
                                'react-bulma-vitae'
                            )
                        )
                    )
                )
            )];
        }
        return children;
    };

    return Resume;
}(_react.Component);

Resume.propTypes = process.env.NODE_ENV !== "production" ? {
    //See https://jsonresume.org/schema/
    schema: _propTypes2.default.shape({
        basic: _propTypes2.default.shape({
            name: _propTypes2.default.string,
            label: _propTypes2.default.string,
            picture: _propTypes2.default.string,
            email: _propTypes2.default.string,
            phone: _propTypes2.default.string,
            website: _propTypes2.default.string,
            summary: _propTypes2.default.string,
            location: _propTypes2.default.shape({
                address: _propTypes2.default.string,
                postalCode: _propTypes2.default.string,
                city: _propTypes2.default.string,
                countryCode: _propTypes2.default.string,
                region: _propTypes2.default.string
            }),
            profiles: _propTypes2.default.arrayOf(_propTypes2.default.shape({
                network: _propTypes2.default.string,
                username: _propTypes2.default.string,
                url: _propTypes2.default.string
            }))
        }),
        work: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            company: _propTypes2.default.string,
            position: _propTypes2.default.string,
            website: _propTypes2.default.string,
            startDate: _propTypes2.default.string,
            endDate: _propTypes2.default.string,
            summary: _propTypes2.default.string,
            highlights: _propTypes2.default.arrayOf(_propTypes2.default.string)
        })),
        volunteer: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            organization: _propTypes2.default.string,
            position: _propTypes2.default.string,
            website: _propTypes2.default.string,
            startDate: _propTypes2.default.string,
            endDate: _propTypes2.default.string,
            summary: _propTypes2.default.string,
            highlights: _propTypes2.default.arrayOf(_propTypes2.default.string)
        })),
        education: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            institution: _propTypes2.default.string,
            area: _propTypes2.default.string,
            studyType: _propTypes2.default.string,
            startDate: _propTypes2.default.string,
            endDate: _propTypes2.default.string,
            gpa: _propTypes2.default.string,
            courses: _propTypes2.default.arrayOf(_propTypes2.default.string)
        })),
        awards: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            title: _propTypes2.default.string,
            date: _propTypes2.default.string,
            awarder: _propTypes2.default.string,
            summary: _propTypes2.default.string
        })),
        publications: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            name: _propTypes2.default.string,
            publisher: _propTypes2.default.string,
            releaseDate: _propTypes2.default.string,
            website: _propTypes2.default.string,
            summary: _propTypes2.default.string
        })),
        skills: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            name: _propTypes2.default.string,
            level: _propTypes2.default.oneOf(['Basic', 'Initiated', 'Average', 'Competent', 'Master']),
            keywords: _propTypes2.default.arrayOf(_propTypes2.default.string)
        })),
        languages: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            name: _propTypes2.default.string,
            level: _propTypes2.default.string
        })),
        interests: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            name: _propTypes2.default.string,
            keywords: _propTypes2.default.arrayOf(_propTypes2.default.string)
        })),
        references: _propTypes2.default.arrayOf(_propTypes2.default.shape({
            name: _propTypes2.default.string,
            reference: _propTypes2.default.string
        }))
    }).isRequired
} : {};

Resume.defaultProps = {};

Resume.childContextTypes = {
    schema: _propTypes2.default.shape({})
};

exports.default = Resume;
module.exports = exports['default'];