"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withAwards = require("./withAwards.js");

var _withAwards2 = _interopRequireDefault(_withAwards);

var _GenericList = require("../internals/GenericList.js");

var _GenericList2 = _interopRequireDefault(_GenericList);

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AwardsList = function AwardsList(props) {
    var awards = props.awards;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = awards.map(function (obj) {
        var item = {};
        if ((0, _utils.hasProperties)(obj, 'title')) {
            item.title = obj.title;
        }
        if ((0, _utils.hasProperties)(obj, 'awarder')) {
            item.subtitle = obj.awarder;
        }
        if ((0, _utils.hasProperties)(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if ((0, _utils.hasProperties)(obj, 'date')) {
            item.start = obj.date;
        }
        return item;
    });

    return _react2.default.createElement(
        _bloomer.Column,
        { isSize: "1/2" },
        _react2.default.createElement(_GenericList2.default, { items: items, listName: "Awards", listIcon: "fas fa-trophy", id: "awards", highlightType: "list",
            style: { height: '100%' } })
    );
};

AwardsList.propTypes = process.env.NODE_ENV !== "production" ? {
    awards: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

AwardsList.defaultProps = {
    awards: []
};

exports.default = (0, _withAwards2.default)(AwardsList);
module.exports = exports["default"];