"use strict";

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _defines = require("../../defines");

var _defines2 = _interopRequireDefault(_defines);

var _utils = require("../../utils.js");

var _withBasics = require("./withBasics.js");

var _withBasics2 = _interopRequireDefault(_withBasics);

var _Contact = require("./Contact.js");

var _Contact2 = _interopRequireDefault(_Contact);

var _Profiles = require("./Profiles.js");

var _Profiles2 = _interopRequireDefault(_Profiles);

var _ModifiedDivider = require("../internals/ModifiedDivider.js");

var _ModifiedDivider2 = _interopRequireDefault(_ModifiedDivider);

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

//Bloomer imports


var styles = {
    mainBox: {
        overflow: 'hidden',
        height: 'fit-content'
    },
    divider: {
        marginLeft: '-1.25rem',
        marginRight: '-1.25rem'
    },
    imageHolder: {
        marginTop: '-1.25rem',
        marginLeft: '-1.25rem',
        marginRight: '-1.25rem'
    },
    nameHolder: {
        textAlign: 'center',
        marginBottom: '1.5rem'
    },
    levelMenu: {
        flexDirection: 'column',
        paddingTop: '0.5rem',
        marginLeft: '-1rem',
        marginRight: '-1rem'
    },
    levelMenuItem: {
        fontSize: '1.25rem',
        textTransform: 'uppercase',
        display: 'block',
        width: '100%'
    },
    activeItem: {
        backgroundColor: '#3273dc',
        borderRadius: 2
    }
};

var BasicsSection = function BasicsSection(props) {
    var basics = props.basics,
        availableSections = props.availableSections,
        onMenuLinkClick = props.onMenuLinkClick,
        activeSection = props.activeSection,
        children = props.children,
        rest = _objectWithoutProperties(props, ["basics", "availableSections", "onMenuLinkClick", "activeSection", "children"]);

    return _react2.default.createElement(
        _bloomer.Box,
        _extends({}, rest, { style: styles.mainBox, id: "basics" }),
        (0, _utils.hasProperties)(basics, 'picture') ? _react2.default.createElement(
            "div",
            { style: styles.imageHolder },
            _react2.default.createElement(_bloomer.Image, { isRatio: "square", src: basics.picture })
        ) : null,
        _react2.default.createElement(
            "div",
            { style: styles.nameHolder },
            (0, _utils.hasProperties)(basics, 'name') ? _react2.default.createElement(
                _bloomer.Title,
                { isSize: 1 },
                basics.name
            ) : null,
            (0, _utils.hasProperties)(basics, 'label') ? _react2.default.createElement(
                _bloomer.Subtitle,
                { isSize: 3 },
                basics.label
            ) : null
        ),
        (0, _utils.hasProperties)(basics, 'summary') ? _react2.default.createElement(
            _bloomer.Content,
            null,
            _react2.default.createElement(
                "p",
                null,
                basics.summary
            )
        ) : null,
        _react2.default.createElement(_ModifiedDivider2.default, { style: styles.divider, isHidden: ['tablet', 'desktop', 'widescreen'] }),
        _react2.default.createElement(
            _bloomer.Level,
            { isDisplay: "flex-mobile", isHidden: ['tablet', 'desktop', 'widescreen'],
                style: styles.levelMenu },
            availableSections.map(function (menu) {
                return _react2.default.createElement(
                    _bloomer.LevelItem,
                    { href: "#" + menu, hasTextAlign: "centered", onClick: function onClick() {
                            return onMenuLinkClick(menu);
                        },
                        style: _extends({}, styles.levelMenuItem, activeSection === menu ? styles.activeItem : {}),
                        hasTextColor: activeSection === menu ? 'white' : 'dark', key: menu },
                    menu
                );
            })
        ),
        _react2.default.createElement("hr", { style: styles.divider }),
        children,
        (0, _utils.hasProperties)(basics, ['email', 'phone', 'website']) || (0, _utils.hasProperties)(basics, 'location') ? _react2.default.createElement(_Contact2.default, { email: basics.email, phone: basics.phone,
            website: basics.website, location: basics.location }) : null,
        ((0, _utils.hasProperties)(basics, ['email', 'phone', 'website']) || (0, _utils.hasProperties)(basics, 'location')) && (0, _utils.hasProperties)(basics, 'profiles') ? _react2.default.createElement("hr", { style: styles.divider }) : null,
        (0, _utils.hasProperties)(basics, 'profiles') ? _react2.default.createElement(_Profiles2.default, { profiles: basics.profiles }) : null
    );
};

BasicsSection.propTypes = process.env.NODE_ENV !== "production" ? {
    basics: _propTypes2.default.shape({}),
    availableSections: _propTypes2.default.arrayOf(_propTypes2.default.oneOf(_defines2.default.sections)),
    onMenuLinkClick: _propTypes2.default.func,
    activeSection: _propTypes2.default.string
} : {};

BasicsSection.defaultProps = {
    basics: {},
    availableSections: [],
    onMenuLinkClick: function onMenuLinkClick() {},
    activeSection: 'basics'
};

exports.default = (0, _withBasics2.default)(BasicsSection);
module.exports = exports["default"];