"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
    mainDiv: {},
    subDiv: {
        marginBottom: '1.5rem'
    },
    iconStyle: {
        marginRight: '1.25rem'
    }
};

//Bloomer imports


var renderAddress = function renderAddress(location) {
    var address = '';
    if ((0, _utils.hasProperties)(location, 'address')) {
        address += location.address;
    }
    if ((0, _utils.hasProperties)(location, 'city')) {
        address += ", " + location.city;
    }
    if ((0, _utils.hasProperties)(location, 'region')) {
        address += ", " + location.region;
    }
    if ((0, _utils.hasProperties)(location, 'countryCode')) {
        address += " (" + location.countryCode + ")";
    }
    if ((0, _utils.hasProperties)(location, 'postalCode')) {
        address += ", " + location.postalCode;
    }
    return address;
};

var Contact = function Contact(props) {
    var phone = props.phone,
        location = props.location,
        email = props.email,
        website = props.website;


    return _react2.default.createElement(
        "div",
        { style: styles.mainDiv },
        _react2.default.createElement(
            _bloomer.Title,
            { isSize: 4 },
            "Contact"
        ),
        phone && phone.length ? _react2.default.createElement(
            "div",
            { style: styles.subDiv },
            _react2.default.createElement(
                _bloomer.Subtitle,
                { isSize: 6, isSpaced: true },
                _react2.default.createElement(_bloomer.Icon, { isSize: "small", className: "fas fa-phone", style: styles.iconStyle }),
                phone
            )
        ) : null,
        _react2.default.createElement(
            "div",
            { style: styles.subDiv },
            _react2.default.createElement(
                _bloomer.Subtitle,
                { isSize: 6, isSpaced: true },
                _react2.default.createElement(_bloomer.Icon, { isSize: "small", className: "fas fa-map-marker-alt", style: styles.iconStyle }),
                renderAddress(location)
            )
        ),
        _react2.default.createElement(
            "div",
            { style: styles.subDiv },
            email && email.length ? _react2.default.createElement(
                _bloomer.Subtitle,
                { isSize: 6, isSpaced: true, style: { marginBottom: '0.25rem' } },
                _react2.default.createElement(_bloomer.Icon, { isSize: "small", className: "fas fa-envelope", style: styles.iconStyle }),
                _react2.default.createElement(
                    "a",
                    { href: "mailto:" + email, target: "_top" },
                    email
                )
            ) : null,
            website && website.length ? _react2.default.createElement(
                _bloomer.Subtitle,
                { isSize: 6, isSpaced: true },
                _react2.default.createElement(_bloomer.Icon, { isSize: "small", className: "fas fa-link", style: styles.iconStyle }),
                _react2.default.createElement(
                    "a",
                    { href: website, target: "_blank" },
                    website
                )
            ) : null
        )
    );
};

Contact.propTypes = process.env.NODE_ENV !== "production" ? {
    email: _propTypes2.default.string,
    phone: _propTypes2.default.string,
    website: _propTypes2.default.string,
    location: _propTypes2.default.shape({})
} : {};

Contact.defaultProps = {
    email: null,
    phone: null,
    website: null,
    location: {}
};

exports.default = Contact;
module.exports = exports["default"];