"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _bloomer = require("bloomer");

var _reactTippy = require("react-tippy");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//Bloomer imports
var styles = {};

var Profiles = function Profiles(props) {
    var profiles = props.profiles;


    return _react2.default.createElement(
        _bloomer.Level,
        null,
        profiles.map(function (profile, index) {
            return (0, _utils.hasProperties)(profile, 'username') ? _react2.default.createElement(
                _bloomer.LevelItem,
                { key: index },
                _react2.default.createElement(
                    _reactTippy.Tooltip,
                    { title: "Follow " + profile.username + " on " + profile.network },
                    _react2.default.createElement(
                        "a",
                        { href: profile.url },
                        _react2.default.createElement(_bloomer.Icon, { isSize: "medium", className: "fab fa-" + profile.network.toLowerCase() })
                    )
                )
            ) : _react2.default.createElement(
                _bloomer.LevelItem,
                null,
                _react2.default.createElement(
                    "a",
                    { href: profile.url },
                    _react2.default.createElement(_bloomer.Icon, { isSize: "medium", className: "fab fa-" + profile.network })
                )
            );
        })
    );
};

Profiles.propTypes = process.env.NODE_ENV !== "production" ? {
    profiles: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

Profiles.defaultProps = {
    profiles: []
};

exports.default = Profiles;
module.exports = exports["default"];