"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withEducation = require("./withEducation.js");

var _withEducation2 = _interopRequireDefault(_withEducation);

var _GenericList = require("../internals/GenericList.js");

var _GenericList2 = _interopRequireDefault(_GenericList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var EducationList = function EducationList(props) {
    var education = props.education;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = education.map(function (obj) {
        var item = {};
        if ((0, _utils.hasProperties)(obj, 'area')) {
            item.title = (0, _utils.hasProperties)(obj, 'studyType') ? obj.studyType + ", " + obj.area : obj.area;
        }
        if ((0, _utils.hasProperties)(obj, 'institution')) {
            item.subtitle = obj.institution;
        }
        if ((0, _utils.hasProperties)(obj, 'startDate')) {
            item.start = obj.startDate;
        }
        if ((0, _utils.hasProperties)(obj, 'endDate')) {
            item.end = obj.endDate;
        }
        if ((0, _utils.hasProperties)(obj, 'courses')) {
            item.highlights = obj.courses;
        }
        return item;
    });

    return _react2.default.createElement(_GenericList2.default, { items: items, listName: "Education", listIcon: "fas fa-graduation-cap", id: "education", highlightType: "tags" });
};

EducationList.propTypes = process.env.NODE_ENV !== "production" ? {
    education: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

EducationList.defaultProps = {
    education: []
};

exports.default = (0, _withEducation2.default)(EducationList);
module.exports = exports["default"];