"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withInterests = require("./withInterests.js");

var _withInterests2 = _interopRequireDefault(_withInterests);

var _GenericList = require("../internals/GenericList.js");

var _GenericList2 = _interopRequireDefault(_GenericList);

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Interests = function Interests(props) {
    var interests = props.interests;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = interests.map(function (obj) {
        var item = {};
        if ((0, _utils.hasProperties)(obj, 'name')) {
            item.title = obj.name;
        }
        if ((0, _utils.hasProperties)(obj, 'keywords')) {
            item.highlights = obj.keywords;
        }
        return item;
    });

    return _react2.default.createElement(
        _bloomer.Column,
        { isSize: "1/2" },
        _react2.default.createElement(_GenericList2.default, { items: items, listName: "Interests", listIcon: "fas fa-heart", id: "interests", highlightType: "tags",
            style: { height: '100%' } })
    );
};

Interests.propTypes = process.env.NODE_ENV !== "production" ? {
    interests: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

Interests.defaultProps = {
    interests: []
};

exports.default = (0, _withInterests2.default)(Interests);
module.exports = exports["default"];