'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bloomer = require('bloomer');

var _GenericElement = require('./GenericElement.js');

var _GenericElement2 = _interopRequireDefault(_GenericElement);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

//Bloomer imports


var styles = {
    icon: {
        width: 40,
        paddingLeft: 8,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center'
    },
    heading: {
        textTransform: 'uppercase'
    }
};

var GenericList = function GenericList(props) {
    var listName = props.listName,
        listIcon = props.listIcon,
        items = props.items,
        highlightType = props.highlightType,
        rest = _objectWithoutProperties(props, ['listName', 'listIcon', 'items', 'highlightType']);

    if (!items.length) {
        return null;
    }

    return _react2.default.createElement(
        _bloomer.Card,
        rest,
        _react2.default.createElement(
            _bloomer.CardHeader,
            null,
            listIcon ? _react2.default.createElement(_bloomer.CardHeaderIcon, { render: function render() {
                    return _react2.default.createElement(
                        'div',
                        { style: styles.icon },
                        _react2.default.createElement(_bloomer.Icon, { className: listIcon })
                    );
                } }) : null,
            _react2.default.createElement(
                _bloomer.CardHeaderTitle,
                { style: styles.heading },
                listName
            )
        ),
        _react2.default.createElement(
            _bloomer.CardContent,
            null,
            items.map(function (item, index, items) {
                return [_react2.default.createElement(_GenericElement2.default, { item: item, key: index, highlightType: highlightType }), index !== items.length - 1 ? _react2.default.createElement('hr', null) : null];
            })
        )
    );
};

GenericList.propTypes = process.env.NODE_ENV !== "production" ? {
    listName: _propTypes2.default.string.isRequired,
    listIcon: _propTypes2.default.string,
    items: _propTypes2.default.arrayOf(_propTypes2.default.shape({
        title: _propTypes2.default.string,
        subtitle: _propTypes2.default.string,
        summary: _propTypes2.default.string,
        url: _propTypes2.default.string,
        start: _propTypes2.default.string,
        end: _propTypes2.default.string,
        highlights: _propTypes2.default.arrayOf(_propTypes2.default.string)
    })),
    highlightType: _propTypes2.default.oneOf(['list', 'tags'])
} : {};

GenericList.defaultProps = {
    items: [],
    highlightType: 'list'
};

exports.default = GenericList;
module.exports = exports['default'];