"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withLanguages = require("./withLanguages.js");

var _withLanguages2 = _interopRequireDefault(_withLanguages);

var _GenericList = require("../internals/GenericList.js");

var _GenericList2 = _interopRequireDefault(_GenericList);

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
    icon: {
        width: 40,
        paddingLeft: 8,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center'
    },
    heading: {
        textTransform: 'uppercase'
    }
};

var Languages = function Languages(props) {
    var languages = props.languages;


    if (!languages.length) {
        return null;
    }

    return _react2.default.createElement(
        _bloomer.Column,
        { isSize: "1/2" },
        _react2.default.createElement(
            _bloomer.Card,
            { style: { height: '100%' } },
            _react2.default.createElement(
                _bloomer.CardHeader,
                null,
                _react2.default.createElement(_bloomer.CardHeaderIcon, { render: function render() {
                        return _react2.default.createElement(
                            "div",
                            { style: styles.icon },
                            _react2.default.createElement(_bloomer.Icon, { className: "fas fa-language" })
                        );
                    } }),
                _react2.default.createElement(
                    _bloomer.CardHeaderTitle,
                    { style: styles.heading },
                    "Languages"
                )
            ),
            _react2.default.createElement(
                _bloomer.CardContent,
                null,
                languages.map(function (item, index, items) {
                    return [(0, _utils.hasProperties)(item, 'name') ? _react2.default.createElement(
                        _bloomer.Title,
                        { isSize: 5, key: "name_" + index },
                        item.name
                    ) : null, (0, _utils.hasProperties)(item, 'level') ? _react2.default.createElement(
                        _bloomer.Subtitle,
                        { isSize: 5, hasTextColor: "info", key: "level_" + index },
                        item.level
                    ) : null, index !== items.length - 1 ? _react2.default.createElement("hr", null) : null];
                })
            )
        )
    );
};

Languages.propTypes = process.env.NODE_ENV !== "production" ? {
    languages: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

Languages.defaultProps = {
    languages: []
};

exports.default = (0, _withLanguages2.default)(Languages);
module.exports = exports["default"];