"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withPublications = require("./withPublications.js");

var _withPublications2 = _interopRequireDefault(_withPublications);

var _GenericList = require("../internals/GenericList.js");

var _GenericList2 = _interopRequireDefault(_GenericList);

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PublicationsList = function PublicationsList(props) {
    var publications = props.publications;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = publications.map(function (obj) {
        var item = {};
        if ((0, _utils.hasProperties)(obj, 'name')) {
            item.title = obj.name;
        }
        if ((0, _utils.hasProperties)(obj, 'publisher')) {
            item.subtitle = obj.publisher;
        }
        if ((0, _utils.hasProperties)(obj, 'website')) {
            item.url = obj.website;
        }
        if ((0, _utils.hasProperties)(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if ((0, _utils.hasProperties)(obj, 'releaseDate')) {
            item.start = obj.releaseDate;
        }
        return item;
    });

    return _react2.default.createElement(
        _bloomer.Column,
        { isSize: "1/2" },
        _react2.default.createElement(_GenericList2.default, { items: items, listName: "Publications", listIcon: "fas fa-newspaper", id: "publications", highlightType: "list" })
    );
};

PublicationsList.propTypes = process.env.NODE_ENV !== "production" ? {
    publications: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

PublicationsList.defaultProps = {
    publications: []
};

exports.default = (0, _withPublications2.default)(PublicationsList);
module.exports = exports["default"];