"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withReferences = require("./withReferences.js");

var _withReferences2 = _interopRequireDefault(_withReferences);

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
    mainDiv: {
        marginBottom: '1.25rem'
    },
    divider: {
        marginLeft: '-1.25rem',
        marginRight: '-1.25rem'
    },
    referencesList: {},
    name: {
        fontStyle: 'italic',
        marginTop: '-1.25rem',
        display: 'block',
        marginLeft: '1rem'
    }
};

//Bloomer imports


var References = function References(props) {
    var references = props.references;


    return _react2.default.createElement(
        "div",
        { id: "references", style: styles.mainDiv },
        _react2.default.createElement(
            "div",
            { style: styles.referencesList },
            _react2.default.createElement(
                _bloomer.Content,
                null,
                references.map(function (reference, index) {
                    return [(0, _utils.hasProperties)(reference, 'reference') ? _react2.default.createElement(
                        "blockquote",
                        { key: "quote_" + index },
                        reference.reference
                    ) : null, (0, _utils.hasProperties)(reference, 'name') ? _react2.default.createElement(
                        "span",
                        { style: styles.name, key: "name_" + index },
                        reference.name
                    ) : null];
                })
            )
        ),
        references.length ? _react2.default.createElement("hr", { style: styles.divider }) : null
    );
};

References.propTypes = process.env.NODE_ENV !== "production" ? {
    references: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

References.defaultProps = {
    references: []
};

exports.default = (0, _withReferences2.default)(References);
module.exports = exports["default"];