"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withSkills = require("./withSkills.js");

var _withSkills2 = _interopRequireDefault(_withSkills);

var _bloomer = require("bloomer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
    mainDiv: {
        marginBottom: '1.25rem'
    },
    skillsList: {},
    skills: {
        marginBottom: '1rem'
    },
    skillTitle: {
        marginBottom: '0.5rem'
    },
    skillProgress: {
        marginBottom: '0.5rem'
    },
    skillTags: {
        textAlign: 'right'
    },
    tag: {
        marginLeft: '0.2rem'
    }
};

//Bloomer imports


var levelToProgress = function levelToProgress(level) {
    switch (level) {
        case 'Basic':
            return 1;
        case 'Initiated':
            return 2;
        case 'Average':
            return 3;
        case 'Competent':
            return 4;
        case 'Master':
            return 5;
        default:
            return 3;
    }
};

var Skills = function Skills(props) {
    var skills = props.skills;


    if (!skills.length) {
        return null;
    }

    return _react2.default.createElement(
        "div",
        { id: "skills", style: styles.mainDiv },
        _react2.default.createElement(
            _bloomer.Title,
            { isSize: 4 },
            "Profesionnal Skills"
        ),
        _react2.default.createElement(
            "div",
            { style: styles.skillsList },
            skills.map(function (skill, index) {
                return _react2.default.createElement(
                    "div",
                    { style: styles.skills, key: index },
                    (0, _utils.hasProperties)(skill, 'name') ? _react2.default.createElement(
                        _bloomer.Subtitle,
                        { isSize: 5, style: styles.skillTitle },
                        skill.name
                    ) : null,
                    (0, _utils.hasProperties)(skill, 'level') ? _react2.default.createElement(_bloomer.Progress, { isColor: "primary", value: levelToProgress(skill.level), max: 5,
                        style: styles.skillProgress }) : null,
                    (0, _utils.hasProperties)(skill, 'keywords') ? _react2.default.createElement(
                        "div",
                        { style: styles.skillTags },
                        skill.keywords.map(function (keyword, index) {
                            return _react2.default.createElement(
                                _bloomer.Tag,
                                { isColor: "info", style: styles.tag, key: index },
                                keyword
                            );
                        })
                    ) : null
                );
            })
        )
    );
};

Skills.propTypes = process.env.NODE_ENV !== "production" ? {
    skills: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

Skills.defaultProps = {
    skills: []
};

exports.default = (0, _withSkills2.default)(Skills);
module.exports = exports["default"];