"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withVolunteer = require("./withVolunteer.js");

var _withVolunteer2 = _interopRequireDefault(_withVolunteer);

var _GenericList = require("../internals/GenericList.js");

var _GenericList2 = _interopRequireDefault(_GenericList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VolunteerList = function VolunteerList(props) {
    var volunteer = props.volunteer;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = volunteer.map(function (obj) {
        var item = {};
        if ((0, _utils.hasProperties)(obj, 'organization')) {
            item.title = obj.organization;
        }
        if ((0, _utils.hasProperties)(obj, 'position')) {
            item.subtitle = obj.position;
        }
        if ((0, _utils.hasProperties)(obj, 'website')) {
            item.url = obj.website;
        }
        if ((0, _utils.hasProperties)(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if ((0, _utils.hasProperties)(obj, 'startDate')) {
            item.start = obj.startDate;
        }
        if ((0, _utils.hasProperties)(obj, 'endDate')) {
            item.end = obj.endDate;
        }
        if ((0, _utils.hasProperties)(obj, 'highlights')) {
            item.highlights = obj.highlights;
        }
        return item;
    });

    return _react2.default.createElement(_GenericList2.default, { items: items, listName: "Volunteer experience", listIcon: "fas fa-male", id: "volunteer", highlightType: "list" });
};

VolunteerList.propTypes = process.env.NODE_ENV !== "production" ? {
    volunteer: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

VolunteerList.defaultProps = {
    volunteer: []
};

exports.default = (0, _withVolunteer2.default)(VolunteerList);
module.exports = exports["default"];