"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require("../../utils.js");

var _withWork = require("./withWork.js");

var _withWork2 = _interopRequireDefault(_withWork);

var _GenericList = require("../internals/GenericList.js");

var _GenericList2 = _interopRequireDefault(_GenericList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var WorkList = function WorkList(props) {
    var work = props.work;

    //TODO: Improve this, maybe force a dependency on lodash?

    var items = work.map(function (obj) {
        var item = {};
        if ((0, _utils.hasProperties)(obj, 'company')) {
            item.title = obj.company;
        }
        if ((0, _utils.hasProperties)(obj, 'position')) {
            item.subtitle = obj.position;
        }
        if ((0, _utils.hasProperties)(obj, 'website')) {
            item.url = obj.website;
        }
        if ((0, _utils.hasProperties)(obj, 'summary')) {
            item.summary = obj.summary;
        }
        if ((0, _utils.hasProperties)(obj, 'startDate')) {
            item.start = obj.startDate;
        }
        if ((0, _utils.hasProperties)(obj, 'endDate')) {
            item.end = obj.endDate;
        }
        if ((0, _utils.hasProperties)(obj, 'highlights')) {
            item.highlights = obj.highlights;
        }
        return item;
    });

    return _react2.default.createElement(_GenericList2.default, { items: items, listName: "Work experience", listIcon: "fas fa-building", id: "work", highlightType: "list" });
};

WorkList.propTypes = process.env.NODE_ENV !== "production" ? {
    work: _propTypes2.default.arrayOf(_propTypes2.default.shape({}))
} : {};

WorkList.defaultProps = {
    work: []
};

exports.default = (0, _withWork2.default)(WorkList);
module.exports = exports["default"];