"use strict";

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * A public higher-order component to access the schema stored in context.
 * Use with your custom components to have access to parts of the schema.
 */
var withWork = function withWork(Component) {
    var Wrapper = function Wrapper(props, context) {
        var schema = context.schema;


        return _react2.default.createElement(Component, _extends({}, props, { work: schema.work }));
    };

    Wrapper.displayName = "withWork(" + (Component.displayName || Component.name) + ")";

    Wrapper.contextTypes = {
        schema: _propTypes2.default.shape({}).isRequired
    };

    return Wrapper;
};

exports.default = withWork;
module.exports = exports["default"];